Subject: Re: [PATCH] ethtool: Support arbitrary speeds

From: Ben Hutchings <[email-masked]>
Date: Fri, 09 Jan 2009 18:24:03 +0000

On Fri, 2009-01-09 at 09:55 -0800, Rick Jones wrote:
> Ben Hutchings wrote:
[...]
> > +	speed = ethtool_cmd_speed(ep);
> > +	if (speed == 0 || speed == (u16)(-1) || speed == (u32)(-1))
> > +		fprintf(stdout, "Unknown!\n");
> 
> Doesn't that need to keep the reporting of the unknown speed in parens 
> like the original?

We'll only be doing it for known invalid values, so the value isn't
useful information.  I suppose it's conceivable that there are tools out
there that are parsing the output and expect "Unknown! (0)" when link is
down.

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare Communications
Not speaking for my employer; that's the marketing department's job.
They asked us to note that Solarflare product names are trademarked.